Delete 7

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
DELETE /project/{projectId}/audit-log-flag/batch

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
application/json

Body Required

  • auditLogFlagDeleteRequests array[object]
    Hide auditLogFlagDeleteRequests attribute Show auditLogFlagDeleteRequests attribute object
    • auditLogFlagId integer(int64)
  • auditLogFlagRequests array[object]
    Hide auditLogFlagRequests attribute Show auditLogFlagRequests attribute object
    • auditLogFlagId integer(int64)

Responses

  • 200

    OK

DELETE /project/{projectId}/audit-log-flag/batch
curl \
 --request DELETE 'https://live.smartpmtech.com/project/{projectId}/audit-log-flag/batch' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "auditLogFlagDeleteRequests": [
    {
      "auditLogFlagId": 42
    }
  ],
  "auditLogFlagRequests": [
    {
      "auditLogFlagId": 42
    }
  ]
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "auditLogFlagDeleteRequests": [
    {
      "auditLogFlagId": 42
    }
  ],
  "auditLogFlagRequests": [
    {
      "auditLogFlagId": 42
    }
  ]
}